Subject: Make up to 35 dollars per hr on the road.

From: Lyft <[email-masked]>
Date: Thu, 13 Apr 2017 09:29:20 -0400

Make up to $35 an hour driving for Lyft.  Get a $500 bonus for joing the team!

www. matchality. com/a4062d81e736db0cdeda230dad21aebcf94517dd-29c3-0-0/

To remove from future mailings, unsubscribe here
www. matchality. com/ua4062d81e736db0cdeda230dad21aebcf94517dd-0-0-0/

or write to: Lyft, Inc.  185 Berry Street, Suite 5000 San Francisco, CA 94107